Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

migrate_local_ini_to_php_ini error after upgrade to 68.0.9

Discussion in 'General Discussion' started by LeighR, Nov 6, 2017.

Tags:
  1. LeighR

    LeighR Member

    Joined:
    Nov 6, 2017
    Messages:
    8
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    UK
    cPanel Access Level:
    Root Administrator
    Done the upgrade to 68.0.9 but getting an error 255 on the migrate_local_ini_to_php_ini. How do we go about sorting this?

    Code:
    [2017-11-06 04:14:32 +0000] Processing: Checking for deprecated PHP local.ini
    [2017-11-06 04:14:32 +0000] - Processing command `/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini --run --verbose`
    [2017-11-06 04:14:32 +0000] [/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini] Processing ea-php54 …
    [2017-11-06 04:14:32 +0000] E [/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini] The “/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini” command (process 583329) reported error number 255 when it ended.
    [2017-11-06 04:14:32 +0000] The Administrator will be notified to review this output when this script completes
    [2017-11-06 04:14:32 +0000] - Finished command `/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini --run --verbose` in 0.229 seconds
    [2017-11-06 04:14:32 +0000] 92% complete
    [2017-11-06 04:14:33 +0000] 93% complete
    [2017-11-06 04:14:33 +0000] - Finished in 0.052 seconds
    [2017-11-06 04:14:33 +0000] Processing: Ensuring an "Active" MySQL profile is set
    [2017-11-06 04:14:33 +0000] - Processing command `/usr/local/cpanel/scripts/check_mysql`
    [2017-11-06 04:14:33 +0000] [/usr/local/cpanel/scripts/check_mysql] “check_mysql” will complete in the background (process ID 583333).
    [2017-11-06 04:14:33 +0000] - Finished command `/usr/local/cpanel/scripts/check_mysql` in 0.184 seconds
    [2017-11-06 04:14:33 +0000] Processing: Checking CloudLinux installation
    [2017-11-06 04:14:33 +0000] - Processing command `/usr/local/cpanel/bin/cloudlinux_update`
    [2017-11-06 04:14:33 +0000] - Finished command `/usr/local/cpanel/bin/cloudlinux_update` in 0.180 seconds
    [2017-11-06 04:14:33 +0000] 94% complete
    [2017-11-06 04:14:33 +0000] Processing: Updating plugins data cache
    [2017-11-06 04:14:33 +0000] - Processing command `/usr/local/cpanel/bin/refresh_plugin_cache`
    [2017-11-06 04:14:33 +0000] - Finished command `/usr/local/cpanel/bin/refresh_plugin_cache` in 0.062 seconds
    [2017-11-06 04:14:33 +0000] 95% complete
    => Log closed Mon Nov 6 04:14:33 2017
     
    Jean Boudreau likes this.
  2. Jean Boudreau

    Jean Boudreau Member

    Joined:
    Mar 31, 2017
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Caraquet, NB, Canada
    cPanel Access Level:
    Root Administrator
    I have the same issue. Any luck resolving it?


    [2017-11-06 05:42:48 -0400] Processing: Checking for deprecated PHP local.ini
    [2017-11-06 05:42:48 -0400] - Processing command `/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini --run --verbose`
    [2017-11-06 05:42:48 -0400] [/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini] Processing ea-php54 …
    [2017-11-06 05:42:49 -0400] E [/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini] The “/usr/local/cpanel/scripts/migrate_local_ini_to_php_ini” command (process 21024) reported error number 255 when it ended.
    [2017-11-06 05:42:49 -0400] The Administrator will be notified to review this output when this script completes
     
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,728
    Likes Received:
    1,796
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Could you manually run the referenced command and let us know the output? EX:

    Code:
    /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini --run --verbose
    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. Jean Boudreau

    Jean Boudreau Member

    Joined:
    Mar 31, 2017
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Caraquet, NB, Canada
    cPanel Access Level:
    Root Administrator
    Here's the output:

    Processing ea-php54 …
    Cpanel::Exception::FeatureNotEnabled/(XID khfkn6) The “ea-php54” package does no t provide an executable binary.
    at /usr/local/cpanel/Cpanel/Exception/CORE.pm line 336.
    Cpanel::Exception::create("FeatureNotEnabled", "The \x{e2}\x{80}\x{9c}[_ 1]\x{e2}\x{80}\x{9d} package does not provide an executable binary.", ARRAY(0x9f 58c0)) called at /usr/local/cpanel/Cpanel/Exception.pm line 46
    Cpanel::Exception::__ANON__(__CPANEL_HIDDEN__, __CPANEL_HIDDEN__, ARRAY( 0x9f58c0)) called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php.pm line 318
    Cpanel::ProgLang::Supported::php::get_package(Cpanel::ProgLang::Supporte d::php=HASH(0x10bc2c0), "package", "ea-php54") called at /usr/local/cpanel/Cpane l/ProgLang/Supported/php/Ini.pm line 233
    Cpanel::ProgLang::Supported::php::Ini::new("Cpanel::ProgLang::Supported: :php::Ini", "lang", Cpanel::ProgLang::Supported::php=HASH(0x10bc2c0), "package", "ea-php54") called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php.pm line 3 69
    Cpanel::ProgLang::Supported::php::get_ini(Cpanel::ProgLang::Supported::p hp=HASH(0x10bc2c0), "package", "ea-php54") called at /usr/local/cpanel/scripts/m igrate_local_ini_to_php_ini line 44
    scripts::migrate_local_ini_to_php_ini::run("--run", "--verbose") called at /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini line 27
     
  5. LeighR

    LeighR Member

    Joined:
    Nov 6, 2017
    Messages:
    8
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    UK
    cPanel Access Level:
    Root Administrator
    Hi, please see below Michael
    Code:
    Processing ea-php54 …
    Cpanel::Exception::FeatureNotEnabled/(XID rufzsk) The “ea-php54” package does not provide an executable binary.
     at /usr/local/cpanel/Cpanel/Exception/CORE.pm line 336.
            Cpanel::Exception::create("FeatureNotEnabled", "The \x{e2}\x{80}\x{9c}[_1]\x{e2}\x{80}\x{9d} package does not provide an executable binary.", ARRAY(0xf1a5e8)) called at /usr/local/cpanel/Cpanel/Exception.pm line 46
            Cpanel::Exception::__ANON__(__CPANEL_HIDDEN__, __CPANEL_HIDDEN__, ARRAY(0xf1a5e8)) called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php.pm line 318
            Cpanel::ProgLang::Supported::php::get_package(Cpanel::ProgLang::Supported::php=HASH(0x15e0210), "package", "ea-php54") called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php/Ini.pm line 233
            Cpanel::ProgLang::Supported::php::Ini::new("Cpanel::ProgLang::Supported::php::Ini", "lang", Cpanel::ProgLang::Supported::php=HASH(0x15e0210), "package", "ea-php54") called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php.pm line 369
            Cpanel::ProgLang::Supported::php::get_ini(Cpanel::ProgLang::Supported::php=HASH(0x15e0210), "package", "ea-php54") called at /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini line 44
            scripts::migrate_local_ini_to_php_ini::run("--run", "--verbose") called at /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini line 27
    
     
  6. LeighR

    LeighR Member

    Joined:
    Nov 6, 2017
    Messages:
    8
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    UK
    cPanel Access Level:
    Root Administrator
    Ok sorted it. We didn't have PHP 5.4 install so ran:

    yum install ea-php54

    Once that was done re-ran the upgrade script and went through without issues.
     
    eva2000 likes this.
  7. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,728
    Likes Received:
    1,796
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Thank you for updating us with the outcome. Note that this should only happen if you manually installed a PHP 5.4 RPM without actually installing PHP 5.4.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    eva2000 likes this.
  8. akust0m

    akust0m Well-Known Member

    Joined:
    Feb 19, 2016
    Messages:
    60
    Likes Received:
    4
    Trophy Points:
    8
    Location:
    Melbourne
    cPanel Access Level:
    Root Administrator
    I'm also getting the same error each day. Here is the output of that command:

    Code:
    root@server [~]# /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini --run --verbose
    Processing alt-php44 …
            No local.ini.
     … done!
    Processing alt-php51 …
            No local.ini.
     … done!
    Processing alt-php52 …
            No local.ini.
     … done!
    Processing alt-php53 …
            No local.ini.
     … done!
    Processing alt-php54 …
            No local.ini.
     … done!
    Processing alt-php55 …
            No local.ini.
     … done!
    Processing alt-php56 …
            No local.ini.
     … done!
    Processing alt-php70 …
            No local.ini.
     … done!
    Processing alt-php71 …
            No local.ini.
     … done!
    Processing ea-php54 …
    Cpanel::Exception::FeatureNotEnabled/(XID dnkzjw) The “ea-php54” package does not provide an executable binary.
     at /usr/local/cpanel/Cpanel/Exception/CORE.pm line 336.
            Cpanel::Exception::create("FeatureNotEnabled", "The \x{e2}\x{80}\x{9c}[_1]\x{e2}\x{80}\x{9d} package does not provide an executable binary.", ARRAY(0x1fa8be8)) called at /usr/local/cpanel/Cpanel/Except              ion.pm line 46
            Cpanel::Exception::__ANON__(__CPANEL_HIDDEN__, __CPANEL_HIDDEN__, ARRAY(0x1fa8be8)) called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php.pm line 318
            Cpanel::ProgLang::Supported::php::get_package(Cpanel::ProgLang::Supported::php=HASH(0x1f78ac0), "package", "ea-php54") called at /usr/local/cpanel/Cpanel/ProgLang/Supported/php/Ini.pm line 233
            Cpanel::ProgLang::Supported::php::Ini::new("Cpanel::ProgLang::Supported::php::Ini", "lang", Cpanel::ProgLang::Supported::php=HASH(0x1f78ac0), "package", "ea-php54") called at /usr/local/cpanel/Cpanel/P              rogLang/Supported/php.pm line 369
            Cpanel::ProgLang::Supported::php::get_ini(Cpanel::ProgLang::Supported::php=HASH(0x1f78ac0), "package", "ea-php54") called at /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini line 44
            scripts::migrate_local_ini_to_php_ini::run("--run", "--verbose") called at /usr/local/cpanel/scripts/migrate_local_ini_to_php_ini line 27
    How is this problem resolved?
     
  9. akust0m

    akust0m Well-Known Member

    Joined:
    Feb 19, 2016
    Messages:
    60
    Likes Received:
    4
    Trophy Points:
    8
    Location:
    Melbourne
    cPanel Access Level:
    Root Administrator
    Just bumping this one. I'm still getting this error daily.

    I don't use ea-php54, why is it getting stuck on this?
     
  10. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,728
    Likes Received:
    1,796
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Could you run the command below and let us know the output?

    Code:
    rpm -qa|grep php54
    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  11. akust0m

    akust0m Well-Known Member

    Joined:
    Feb 19, 2016
    Messages:
    60
    Likes Received:
    4
    Trophy Points:
    8
    Location:
    Melbourne
    cPanel Access Level:
    Root Administrator
    Hi @cPanelMichael

    Thank you for the reply. I modified the grep slightly to leave out CloudLinux PHP 5.4:

    Code:
    root@server [~]# rpm -qa|grep ea-php54
    ea-php54-php-common-5.4.45-44.el7.cloudlinux.x86_64
    ea-php54-runtime-5.4.45-15.el7.cloudlinux.x86_64
    ea-php54-php-litespeed-5.4.45-44.el7.cloudlinux.x86_64
    
    Would I be safe to remove these considering we are using CloudLinux alt-php versions only and the OS provided version is 5.6.32.
     
  12. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,728
    Likes Received:
    1,796
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Yes, I recommend either removing those RPMs or fully installing PHP 5.4 as part of the EA4 MultiPHP functionality. Generally, Cloudlinux recommends choosing one or the other:

    CloudLinux PHP Selector and cPanel Multiple PHP Manager from EA4 explained

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice